{pkgs}:
pkgs.python3Packages.buildPythonPackage {
  name = "zapzap";
  src = pkgs.fetchFromGitHub {
    owner = "zapzap-linux";
    repo = "zapzap";
    rev = "5de4a4015128c164af3c964ecbe5b6358d98b521";
    hash = "sha256-bd3YcITK4lraOu7D/xZfnibilAZQZWqazVVtUwqJ4wc=";
  };
  dontWrapQtApps = true;
  propagatedBuildInputs = with pkgs.python3Packages; [pyqt6-webengine qt6.qtwayland qt6.qtsvg];
  nativeBuildInputs = with pkgs; [qt6.wrapQtAppsHook makeWrapper];
  env = {
    HOME = "/tmp";
  };
  preFixup = ''
    makeWrapperArgs+=(
      # Force the app to use QT_PLUGIN_PATH values from wrapper
      --unset QT_PLUGIN_PATH
      "''${qtWrapperArgs[@]}"
    )
  '';
}
